| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Typedefs | Functions
videoEmscripten.h File Reference
`#include <ARX/ARVideo/video.h>`
Include dependency graph for videoEmscripten.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef struct _AR2VideoParamEmscriptenT | AR2VideoParamEmscriptenT

## Functions
int | ar2VideoDispOptionEmscripten (void)
AR2VideoParamEmscriptenT * | ar2VideoOpenEmscripten (const char *config)
int | ar2VideoCloseEmscripten (AR2VideoParamEmscriptenT *vid)
int | ar2VideoGetIdEmscripten (AR2VideoParamEmscriptenT *vid, ARUint32 *id0, ARUint32 *id1)
int | ar2VideoGetSizeEmscripten (AR2VideoParamEmscriptenT *vid, int *x, int *y)
AR_PIXEL_FORMAT | ar2VideoGetPixelFormatEmscripten (AR2VideoParamEmscriptenT *vid)
AR2VideoBufferT * | ar2VideoGetImageEmscripten (AR2VideoParamEmscriptenT *vid)
int | ar2VideoCapStartEmscripten (AR2VideoParamEmscriptenT *vid)
int | ar2VideoCapStopEmscripten (AR2VideoParamEmscriptenT *vid)
int | ar2VideoGetParamiEmscripten (AR2VideoParamEmscriptenT *vid, int paramName, int *value)
int | ar2VideoSetParamiEmscripten (AR2VideoParamEmscriptenT *vid, int paramName, int value)
int | ar2VideoGetParamdEmscripten (AR2VideoParamEmscriptenT *vid, int paramName, double *value)
int | ar2VideoSetParamdEmscripten (AR2VideoParamEmscriptenT *vid, int paramName, double value)
int | ar2VideoGetParamsEmscripten (AR2VideoParamEmscriptenT *vid, const int paramName, char **value)
int | ar2VideoSetParamsEmscripten (AR2VideoParamEmscriptenT *vid, const int paramName, const char *value)
int | ar2VideoSetBufferSizeEmscripten (AR2VideoParamEmscriptenT *vid, const int width, const int height)
int | ar2VideoGetBufferSizeEmscripten (AR2VideoParamEmscriptenT *vid, int *width, int *height)

## Typedef Documentation

## ◆ AR2VideoParamEmscriptenT

typedef struct _AR2VideoParamEmscriptenT AR2VideoParamEmscriptenT

## Function Documentation

## ◆ ar2VideoCapStartEmscripten()

int ar2VideoCapStartEmscripten | ( | AR2VideoParamEmscriptenT * | vid | ) |

## ◆ ar2VideoCapStopEmscripten()

int ar2VideoCapStopEmscripten | ( | AR2VideoParamEmscriptenT * | vid | ) |

## ◆ ar2VideoCloseEmscripten()

int ar2VideoCloseEmscripten | ( | AR2VideoParamEmscriptenT * | vid | ) |

## ◆ ar2VideoDispOptionEmscripten()

int ar2VideoDispOptionEmscripten | ( | void |  | ) |

## ◆ ar2VideoGetBufferSizeEmscripten()

int ar2VideoGetBufferSizeEmscripten | ( | AR2VideoParamEmscriptenT * | vid,
|  | int * | width,
|  | int * | height
| ) |  |

## ◆ ar2VideoGetIdEmscripten()

int ar2VideoGetIdEmscripten | ( | AR2VideoParamEmscriptenT * | vid,
|  | ARUint32 * | id0,
|  | ARUint32 * | id1
| ) |  |

## ◆ ar2VideoGetImageEmscripten()

AR2VideoBufferT * ar2VideoGetImageEmscripten | ( | AR2VideoParamEmscriptenT * | vid | ) |

## ◆ ar2VideoGetParamdEmscripten()

int ar2VideoGetParamdEmscripten | ( | AR2VideoParamEmscriptenT * | vid,
|  | int | paramName,
|  | double * | value
| ) |  |

## ◆ ar2VideoGetParamiEmscripten()

int ar2VideoGetParamiEmscripten | ( | AR2VideoParamEmscriptenT * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetParamsEmscripten()

int ar2VideoGetParamsEmscripten | ( | AR2VideoParamEmscriptenT * | vid,
|  | const int | paramName,
|  | char ** | value
| ) |  |

## ◆ ar2VideoGetPixelFormatEmscripten()

AR_PIXEL_FORMAT ar2VideoGetPixelFormatEmscripten | ( | AR2VideoParamEmscriptenT * | vid | ) |

## ◆ ar2VideoGetSizeEmscripten()

int ar2VideoGetSizeEmscripten | ( | AR2VideoParamEmscriptenT * | vid,
|  | int * | x,
|  | int * | y
| ) |  |

## ◆ ar2VideoOpenEmscripten()

AR2VideoParamEmscriptenT * ar2VideoOpenEmscripten | ( | const char * | config | ) |

## ◆ ar2VideoSetBufferSizeEmscripten()

int ar2VideoSetBufferSizeEmscripten | ( | AR2VideoParamEmscriptenT * | vid,
|  | const int | width,
|  | const int | height
| ) |  |

## ◆ ar2VideoSetParamdEmscripten()

int ar2VideoSetParamdEmscripten | ( | AR2VideoParamEmscriptenT * | vid,
|  | int | paramName,
|  | double | value
| ) |  |

## ◆ ar2VideoSetParamiEmscripten()

int ar2VideoSetParamiEmscripten | ( | AR2VideoParamEmscriptenT * | vid,
|  | int | paramName,
|  | int | value
| ) |  |

## ◆ ar2VideoSetParamsEmscripten()

int ar2VideoSetParamsEmscripten | ( | AR2VideoParamEmscriptenT * | vid,
|  | const int | paramName,
|  | const char * | value
| ) |  |